Subject: Closing #145 - empty authority in URL

From: Mark Nottingham <[email-masked]>
Date: Mon, 30 Nov 2009 17:28:04 +1100

See:
  http://trac.tools.ietf.org/wg/httpbis/trac/changeset/715

new text:

 	582    The host identifier within an <x:ref>authority</x:ref> component is 
 	583	   defined in <xref target="RFC3986" x:fmt="," x:sec="3.2.2"/>.  If host is 
 	584	   provided as an IP literal or IPv4 address, then the HTTP server is any 
 	585	   listener on the indicated TCP port at that IP address. If host is a 
 	586	   registered name, then that name is considered an indirect identifier 
 	587	   and the recipient might use a name resolution service, such as DNS, 
 	588	   to find the address of a listener for that host. 
 	589	   The host &MUST-NOT; be empty; if an "http" URI is received with an 
 	590	   empty host, then it &MUST; be rejected as invalid.  
 	591	   If the port subcomponent is empty or not given, then TCP port 80 is 
 	592	   assumed (the default reserved port for WWW services).

--
Mark Nottingham     http://www.mnot.net/